in vec3 normal;
in vec2 uv;
out vec4 fragColor;
uniform vec2 iResolution;
uniform sampler2D texture;

layout(origin_upper_left) in vec4 gl_FragCoord;

void main() {
    fragColor = texelFetch(texture, ivec2(gl_FragCoord.xy), 0);
}